'use strict';

oml.ui.transferButton = function() {

    var that = Ox.Element({
            tooltip: Ox._('Transfers')
        })
        .css({
            marginRight: '6px'
        }),

        bandwidth = Ox.Element()
            .addClass('OxLight')
            .css({
                float: 'left',
                marginTop: '2px',
                fontSize: '9px',
                lineHeight: '12px'
            })
            .html(formatBandwidth(0, 0))
            .bindEvent({
                anyclick: function() {
                    oml.UI.set({page: 'transfers'});
                }
            })
            .appendTo(that);

    function formatBandwidth(up, down) {
        return '&darr; ' + Ox.formatValue(down, 'B')
            + ' &uarr; ' + Ox.formatValue(up, 'B');
    }

    oml.bindEvent({
        bandwidth: function(data) {
            bandwidth.html(formatBandwidth(data.up, data.down));
        }
    });

    return that;

};
